﻿module Obelisk.CStack;
import std.algorithm;

class CStack(T)
{
	private T[] mData = [];
	private int mCount = 0;

	public bool Empty()
	{
		return mCount == 0;
	}



	public void Push(T aObject)
	{
		if (mCount == mData.length)
			mData.length = max(mData.length * 2, 4);
		mData[mCount++] = aObject;
	}



	public T Pop()
	{
		assert(mCount != 0);
		return mData[--mCount];
	}
}