D_LIB_PATH=C:\D\dmd2\windows\lib
WIN32_PATH=C:\D\Libraries\win32\trunk
DWIN32_PATH=..\DWin32
DOPENGL_PATH=..\DOpenGL
OBELISK_PATH=..\Obelisk

PROJECT=..\RobotTunnel.exe
SOURCE_FILES=$(OBELISK_PATH)\Windows\Main.d CBullet.d CFireball.d CGameController.d CGameState.d CMainController.d CRobot.d
LIB_FILES="$(WIN32_PATH)\win32.lib" "$(D_LIB_PATH)\gdi32.lib" "$(D_LIB_PATH)\comctl32.lib" "$(D_LIB_PATH)\ole32.lib" "$(D_LIB_PATH)\winmm.lib" "$(DWIN32_PATH)\Import\shlwapi.lib" "$(DOPENGL_PATH)\Import\opengl32.lib"
LIB_FILES_DEBUG="$(OBELISK_PATH)\Obelisk_Debug.lib"
LIB_FILES_RELEASE="$(OBELISK_PATH)\Obelisk_Release.lib"

$(PROJECT): $(SOURCE_FILES)
	dmd -w -wi -g -debug -version=IE4 -of"$(PROJECT)" -I"$(WIN32_PATH)" -I"$(DOPENGL_PATH)\Source" -I"$(OBELISK_PATH)" RobotTunnel.def $(SOURCE_FILES) $(LIB_FILES) $(LIB_FILES_DEBUG)

release:
	dmd -w -wi -version=IE4 -of"$(PROJECT)" -I"$(WIN32_PATH)" -I"$(DOPENGL_PATH)\Source" -I"$(OBELISK_PATH)" RobotTunnel.def $(SOURCE_FILES) $(LIB_FILES) $(LIB_FILES_RELEASE)

clean:
	del $(PROJECT)